/***************************************************************************
 *   Copyright (C) 2005 by Emiliano Gulmini   *
 *   emi_barbarossa@yahoo.it   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KINITTABEDITOR_H_
#define _KINITTABEDITOR_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
//KDE headers
class KHelpMenu;
//class KURLRequester;
//Local headers
#include "qinittabeditor.h"

const QString Version = "0.1";

/**
 * @short Application KInittab File Editor
 * @author Emiliano Gulmini <emi_barbarossa@yahoo.it>
 * @version 0.1
 */
class KInittabEditor : public QInittabEditor
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    KInittabEditor();

    /**
     * Default Destructor
     */
    virtual ~KInittabEditor();

private:
    QString m_ID;
    QString m_process;
    QString m_runLevel;
    QString m_action;
    QString m_comment;
    QStringList m_entriesList;
    QString m_author;
    QString m_creationDate;
    QString m_version;
    QString m_inittabPath;
    //KPushButton* m_helpButton;
    KHelpMenu* m_helpMenu;
   // KURLRequester* m_kurlreqPath;
private slots:
    void addEntry();
    void delEntry();
    void getID(const QString&);
    void getRunLevel(const QString&);
    void getAction(const QString&);
    void getProcess(const QString&);
    void getComment();
    void getAuthor(const QString&);
    void getVersion(const QString&);
    void getInittabPath(const QString&);
    void createInittabFile();
    void helpButton();
};

#endif // _KInittabEditor_H_
